Http Router
===========
A simple http router with support for vhosts.

Example
-------
handlers/index.dart
```dart
import 'dart:io';
import 'package:http_router/http_router.dart';

class IndexHandler extends HttpRouteHandler {

  dynamic handler(HttpRequest request) {
    request.response.write('Hello, world');
    request.response.close();
  }

}
```

handlers/missing.dart
```dart
import 'dart:io';
import 'package:http_router/http_router.dart';

class FallbackHandler extends HttpRouteHandler {

  dynamic handler(HttpRequest request) {
    request.response.write('Missing');
    request.response.close();
  }

}
```

main.dart
```dart
import 'dart:io';
import 'dart:async';

import './http_router.dart';

main() {

  Future<HttpServer> server = HttpServer.bind("127.0.0.1", 3000);

  server.then((HttpServer server) {

    // Initialize the router with specified vhosts and routes
    var httpRouter = new HttpRouter({
      'r:.*:3000': {
        'GET': {
          '/': new IndexHandler()
        }
      }
    }, new FallbackHandler());

    // pipe http requests to the http router
    server.pipe(httpRouter);

  });
}
```